        bracket G;
        .sort:bracketGlen6;
        keep brackets;


   id G(a1?!{,'z1'},'z1','z1','z1','z1','z1') =
       + delta(0,a1)*zeta5
       + delta(0,a1)*G(a1,a1,'z1')*zeta3
       - delta(0,a1)*G(a1,'z1')*zeta4
       - delta(0,a1)*G(a1,0,'z1')*zeta3
       - delta(0,a1)*G(0,a1,'z1')*zeta3
       + delta(0,a1)*G(0,'z1')*zeta4
       + delta(0,a1)*G(0,0,'z1')*zeta3
       + G(a1,a1,a1,a1,a1,'z1')
       - G(a1,a1,a1,0,a1,'z1')
       - G(a1,a1,0,a1,a1,'z1')
       + G(a1,a1,0,0,a1,'z1')
       - G(a1,0,a1,a1,a1,'z1')
       + G(a1,0,a1,0,a1,'z1')
       + G(a1,0,0,a1,a1,'z1')
       - G(a1,0,0,0,a1,'z1')
       - G(0,a1,a1,a1,a1,'z1')
       + G(0,a1,a1,0,a1,'z1')
       + G(0,a1,0,a1,a1,'z1')
       - G(0,a1,0,0,a1,'z1')
       + G(0,0,a1,a1,a1,'z1')
       - G(0,0,a1,0,a1,'z1')
       - G(0,0,0,a1,a1,'z1')
       + G(0,0,0,0,a1,'z1')
      ;

   id G(a1?!{,'z1'},a2?!{,'z1'},'z1','z1','z1','z1') =
       - 2*delta(0,a1)*delta(0,a2)*zeta5
       + delta(0,a1)*delta(0,a2)*zeta2*zeta3
       - delta(0,a1)*delta(0,a2)*G(a2,a2,'z1')*zeta3
       + 1/4*delta(0,a1)*delta(0,a2)*G(a2,'z1')*zeta4
       + delta(0,a1)*delta(0,a2)*G(a2,0,'z1')*zeta3
       + delta(0,a1)*delta(0,a2)*G(0,a2,'z1')*zeta3
       - 1/4*delta(0,a1)*delta(0,a2)*G(0,'z1')*zeta4
       - delta(0,a1)*delta(0,a2)*G(0,0,'z1')*zeta3
       - delta(0,a1)*G(a2,a1,'z1')*zeta3
       + delta(0,a1)*G(a2,a2,a2,'z1')*zeta2
       - delta(0,a1)*G(a2,a2,'z1')*zeta3
       + delta(0,a1)*G(a2,'z1')*zeta4
       - delta(0,a1)*G(a2,0,a2,'z1')*zeta2
       + delta(0,a1)*G(a2,0,'z1')*zeta3
       - delta(0,a1)*G(0,a2,a2,'z1')*zeta2
       + delta(0,a1)*G(0,a2,'z1')*zeta3
       + delta(0,a1)*G(0,0,a2,'z1')*zeta2
       + delta(0,a2)*G(a1,a2,'z1')*zeta3
       - delta(0,a2)*G(a1,'z1')*zeta4
       - delta(0,a2)*G(a1,0,'z1')*zeta3
       + delta(0,a2)*G(a2,a1,'z1')*zeta3
       - delta(0,a2)*G(a2,a2,a1,'z1')*zeta2
       + delta(0,a2)*G(a2,0,a1,'z1')*zeta2
       - delta(0,a2)*G(0,a1,'z1')*zeta3
       + delta(0,a2)*G(0,a2,a1,'z1')*zeta2
       - delta(0,a2)*G(0,0,a1,'z1')*zeta2
       + G(a1,a2,a2,a2,a2,'z1')
       - G(a1,a2,a2,0,a2,'z1')
       - G(a1,a2,0,a2,a2,'z1')
       + G(a1,a2,0,0,a2,'z1')
       - G(a1,0,a2,a2,a2,'z1')
       + G(a1,0,a2,0,a2,'z1')
       + G(a1,0,0,a2,a2,'z1')
       - G(a1,0,0,0,a2,'z1')
       - G(a2,a1,a1,a1,a1,'z1')
       + G(a2,a1,a1,0,a1,'z1')
       + G(a2,a1,a2,a2,a2,'z1')
       - G(a2,a1,a2,0,a2,'z1')
       + G(a2,a1,0,a1,a1,'z1')
       - G(a2,a1,0,a2,a2,'z1')
       - G(a2,a1,0,0,a1,'z1')
       + G(a2,a1,0,0,a2,'z1')
       - G(a2,a2,a1,a1,a1,'z1')
       + G(a2,a2,a1,a2,a2,'z1')
       + G(a2,a2,a1,0,a1,'z1')
       - G(a2,a2,a1,0,a2,'z1')
       - G(a2,a2,a2,a1,a1,'z1')
       + G(a2,a2,a2,a1,a2,'z1')
       + G(a2,a2,a2,0,a1,'z1')
       + G(a2,a2,0,a1,a1,'z1')
       - G(a2,a2,0,a1,a2,'z1')
       - G(a2,a2,0,0,a1,'z1')
       + G(a2,0,a1,a1,a1,'z1')
       - G(a2,0,a1,a2,a2,'z1')
       - G(a2,0,a1,0,a1,'z1')
       + G(a2,0,a1,0,a2,'z1')
       + G(a2,0,a2,a1,a1,'z1')
       - G(a2,0,a2,a1,a2,'z1')
       - G(a2,0,a2,0,a1,'z1')
       - G(a2,0,0,a1,a1,'z1')
       + G(a2,0,0,a1,a2,'z1')
       + G(a2,0,0,0,a1,'z1')
       - G(0,a1,a2,a2,a2,'z1')
       + G(0,a1,a2,0,a2,'z1')
       + G(0,a1,0,a2,a2,'z1')
       - G(0,a1,0,0,a2,'z1')
       + G(0,a2,a1,a1,a1,'z1')
       - G(0,a2,a1,a2,a2,'z1')
       - G(0,a2,a1,0,a1,'z1')
       + G(0,a2,a1,0,a2,'z1')
       + G(0,a2,a2,a1,a1,'z1')
       - G(0,a2,a2,a1,a2,'z1')
       - G(0,a2,a2,0,a1,'z1')
       - G(0,a2,0,a1,a1,'z1')
       + G(0,a2,0,a1,a2,'z1')
       + G(0,a2,0,0,a1,'z1')
       + G(0,0,a1,a2,a2,'z1')
       - G(0,0,a1,0,a2,'z1')
       - G(0,0,a2,a1,a1,'z1')
       + G(0,0,a2,a1,a2,'z1')
       + G(0,0,a2,0,a1,'z1')
       - G(0,0,0,a1,a2,'z1')
      ;

   id G(a1?!{,'z1'},'z1',a2?!{,'z1'},'z1','z1','z1') =
       + 11/2*delta(0,a1)*delta(0,a2)*zeta5
       - 3*delta(0,a1)*delta(0,a2)*zeta2*zeta3
       - delta(0,a1)*delta(0,a2)*G(a1,a2,'z1')*zeta3
       + 1/4*delta(0,a1)*delta(0,a2)*G(a1,'z1')*zeta4
       + delta(0,a1)*delta(0,a2)*G(a1,0,'z1')*zeta3
       - delta(0,a1)*delta(0,a2)*G(a2,a1,'z1')*zeta3
       + 4*delta(0,a1)*delta(0,a2)*G(a2,a2,'z1')*zeta3
       + 1/2*delta(0,a1)*delta(0,a2)*G(a2,'z1')*zeta4
       - 3*delta(0,a1)*delta(0,a2)*G(a2,0,'z1')*zeta3
       + delta(0,a1)*delta(0,a2)*G(0,a1,'z1')*zeta3
       - 3*delta(0,a1)*delta(0,a2)*G(0,a2,'z1')*zeta3
       - 3/4*delta(0,a1)*delta(0,a2)*G(0,'z1')*zeta4
       + 2*delta(0,a1)*delta(0,a2)*G(0,0,'z1')*zeta3
       + delta(0,a1)*G(a1,a2,a2,'z1')*zeta2
       - delta(0,a1)*G(a1,a2,'z1')*zeta3
       - delta(0,a1)*G(a1,0,a2,'z1')*zeta2
       + delta(0,a1)*G(a2,a1,a2,'z1')*zeta2
       - 3*delta(0,a1)*G(a2,a2,a2,'z1')*zeta2
       + delta(0,a1)*G(a2,a2,'z1')*zeta3
       + 2*delta(0,a1)*G(a2,0,a2,'z1')*zeta2
       - delta(0,a1)*G(0,a1,a2,'z1')*zeta2
       + 2*delta(0,a1)*G(0,a2,a2,'z1')*zeta2
       - delta(0,a1)*G(0,0,a2,'z1')*zeta2
       + delta(0,a2)*G(a1,a1,'z1')*zeta3
       - delta(0,a2)*G(a1,a2,a1,'z1')*zeta2
       + delta(0,a2)*G(a1,0,a1,'z1')*zeta2
       - delta(0,a2)*G(a2,a1,a1,'z1')*zeta2
       - delta(0,a2)*G(a2,a1,'z1')*zeta3
       + 2*delta(0,a2)*G(a2,a2,a1,'z1')*zeta2
       - delta(0,a2)*G(a2,0,a1,'z1')*zeta2
       + delta(0,a2)*G(0,a1,a1,'z1')*zeta2
       - delta(0,a2)*G(0,a2,a1,'z1')*zeta2
       + G(a1,a1,a2,a2,a2,'z1')
       - G(a1,a1,a2,0,a2,'z1')
       - G(a1,a1,0,a2,a2,'z1')
       + G(a1,a1,0,0,a2,'z1')
       - G(a1,a2,a1,a1,a1,'z1')
       + G(a1,a2,a1,a2,a2,'z1')
       + G(a1,a2,a1,0,a1,'z1')
       - G(a1,a2,a1,0,a2,'z1')
       - G(a1,a2,a2,a1,a1,'z1')
       + G(a1,a2,a2,a1,a2,'z1')
       + G(a1,a2,a2,0,a1,'z1')
       + G(a1,a2,0,a1,a1,'z1')
       - G(a1,a2,0,a1,a2,'z1')
       - G(a1,a2,0,0,a1,'z1')
       - G(a1,0,a1,a2,a2,'z1')
       + G(a1,0,a1,0,a2,'z1')
       + G(a1,0,a2,a1,a1,'z1')
       - G(a1,0,a2,a1,a2,'z1')
       - G(a1,0,a2,0,a1,'z1')
       + G(a1,0,0,a1,a2,'z1')
       + G(a2,a1,a1,a2,a2,'z1')
       - G(a2,a1,a1,0,a2,'z1')
       - G(a2,a1,a2,a1,a1,'z1')
       + G(a2,a1,a2,a1,a2,'z1')
       - G(a2,a1,a2,a2,a2,'z1')
       + G(a2,a1,a2,0,a1,'z1')
       + G(a2,a1,a2,0,a2,'z1')
       - G(a2,a1,0,a1,a2,'z1')
       + G(a2,a1,0,a2,a2,'z1')
       - G(a2,a1,0,0,a2,'z1')
       + G(a2,a2,a1,a1,a1,'z1')
       + G(a2,a2,a1,a1,a2,'z1')
       - 2*G(a2,a2,a1,a2,a2,'z1')
       - G(a2,a2,a1,0,a1,'z1')
       + 2*G(a2,a2,a1,0,a2,'z1')
       + 3*G(a2,a2,a2,a1,a1,'z1')
       - 3*G(a2,a2,a2,a1,a2,'z1')
       - 3*G(a2,a2,a2,0,a1,'z1')
       - G(a2,a2,0,a1,a1,'z1')
       + 2*G(a2,a2,0,a1,a2,'z1')
       + G(a2,a2,0,0,a1,'z1')
       - G(a2,0,a1,a1,a2,'z1')
       + G(a2,0,a1,a2,a2,'z1')
       - G(a2,0,a1,0,a2,'z1')
       - 2*G(a2,0,a2,a1,a1,'z1')
       + 2*G(a2,0,a2,a1,a2,'z1')
       + 2*G(a2,0,a2,0,a1,'z1')
       - G(a2,0,0,a1,a2,'z1')
       - G(0,a1,a1,a2,a2,'z1')
       + G(0,a1,a1,0,a2,'z1')
       + G(0,a1,a2,a1,a1,'z1')
       - G(0,a1,a2,a1,a2,'z1')
       - G(0,a1,a2,0,a1,'z1')
       + G(0,a1,0,a1,a2,'z1')
       - G(0,a2,a1,a1,a2,'z1')
       + G(0,a2,a1,a2,a2,'z1')
       - G(0,a2,a1,0,a2,'z1')
       - 2*G(0,a2,a2,a1,a1,'z1')
       + 2*G(0,a2,a2,a1,a2,'z1')
       + 2*G(0,a2,a2,0,a1,'z1')
       - G(0,a2,0,a1,a2,'z1')
       + G(0,0,a1,a1,a2,'z1')
       + G(0,0,a2,a1,a1,'z1')
       - G(0,0,a2,a1,a2,'z1')
       - G(0,0,a2,0,a1,'z1')
      ;

   id G(a1?!{,'z1'},'z1','z1',a2?!{,'z1'},'z1','z1') =
       - 9/2*delta(0,a1)*delta(0,a2)*zeta5
       + 2*delta(0,a1)*delta(0,a2)*zeta2*zeta3
       - delta(0,a1)*delta(0,a2)*G(a1,a1,'z1')*zeta3
       + 3*delta(0,a1)*delta(0,a2)*G(a1,a2,'z1')*zeta3
       + 3/4*delta(0,a1)*delta(0,a2)*G(a1,'z1')*zeta4
       - 2*delta(0,a1)*delta(0,a2)*G(a1,0,'z1')*zeta3
       + 3*delta(0,a1)*delta(0,a2)*G(a2,a1,'z1')*zeta3
       - 5*delta(0,a1)*delta(0,a2)*G(a2,a2,'z1')*zeta3
       - 2*delta(0,a1)*delta(0,a2)*G(a2,'z1')*zeta4
       + 2*delta(0,a1)*delta(0,a2)*G(a2,0,'z1')*zeta3
       - 2*delta(0,a1)*delta(0,a2)*G(0,a1,'z1')*zeta3
       + 2*delta(0,a1)*delta(0,a2)*G(0,a2,'z1')*zeta3
       + 5/4*delta(0,a1)*delta(0,a2)*G(0,'z1')*zeta4
       + delta(0,a1)*G(a1,a1,a2,'z1')*zeta2
       - 2*delta(0,a1)*G(a1,a2,a2,'z1')*zeta2
       + delta(0,a1)*G(a1,0,a2,'z1')*zeta2
       - 2*delta(0,a1)*G(a2,a1,a2,'z1')*zeta2
       + 3*delta(0,a1)*G(a2,a2,a2,'z1')*zeta2
       + delta(0,a1)*G(a2,a2,'z1')*zeta3
       - delta(0,a1)*G(a2,0,a2,'z1')*zeta2
       + delta(0,a1)*G(0,a1,a2,'z1')*zeta2
       - delta(0,a1)*G(0,a2,a2,'z1')*zeta2
       - delta(0,a1)*G(0,a2,'z1')*zeta3
       - delta(0,a2)*G(a1,a1,a1,'z1')*zeta2
       + delta(0,a2)*G(a1,a2,a1,'z1')*zeta2
       + delta(0,a2)*G(a2,a1,a1,'z1')*zeta2
       - delta(0,a2)*G(a2,a2,a1,'z1')*zeta2
       + G(a1,a1,a1,a2,a2,'z1')
       - G(a1,a1,a1,0,a2,'z1')
       - G(a1,a1,a2,a1,a1,'z1')
       + G(a1,a1,a2,a1,a2,'z1')
       + G(a1,a1,a2,0,a1,'z1')
       - G(a1,a1,0,a1,a2,'z1')
       + G(a1,a2,a1,a1,a2,'z1')
       - G(a1,a2,a1,a2,a2,'z1')
       + G(a1,a2,a1,0,a2,'z1')
       + 2*G(a1,a2,a2,a1,a1,'z1')
       - 2*G(a1,a2,a2,a1,a2,'z1')
       - 2*G(a1,a2,a2,0,a1,'z1')
       + G(a1,a2,0,a1,a2,'z1')
       - G(a1,0,a1,a1,a2,'z1')
       - G(a1,0,a2,a1,a1,'z1')
       + G(a1,0,a2,a1,a2,'z1')
       + G(a1,0,a2,0,a1,'z1')
       + G(a2,a1,a1,a1,a2,'z1')
       - G(a2,a1,a1,a2,a2,'z1')
       + G(a2,a1,a1,0,a2,'z1')
       + 2*G(a2,a1,a2,a1,a1,'z1')
       - 2*G(a2,a1,a2,a1,a2,'z1')
       - 2*G(a2,a1,a2,0,a1,'z1')
       + G(a2,a1,0,a1,a2,'z1')
       + G(a2,a2,a1,a1,a1,'z1')
       - 2*G(a2,a2,a1,a1,a2,'z1')
       + G(a2,a2,a1,a2,a2,'z1')
       - G(a2,a2,a1,0,a1,'z1')
       - G(a2,a2,a1,0,a2,'z1')
       - 3*G(a2,a2,a2,a1,a1,'z1')
       + 3*G(a2,a2,a2,a1,a2,'z1')
       + 3*G(a2,a2,a2,0,a1,'z1')
       - G(a2,a2,0,a1,a1,'z1')
       - G(a2,a2,0,a1,a2,'z1')
       + G(a2,a2,0,0,a1,'z1')
       + G(a2,0,a1,a1,a2,'z1')
       + G(a2,0,a2,a1,a1,'z1')
       - G(a2,0,a2,a1,a2,'z1')
       - G(a2,0,a2,0,a1,'z1')
       - G(0,a1,a1,a1,a2,'z1')
       - G(0,a1,a2,a1,a1,'z1')
       + G(0,a1,a2,a1,a2,'z1')
       + G(0,a1,a2,0,a1,'z1')
       - G(0,a2,a1,a1,a1,'z1')
       + G(0,a2,a1,a1,a2,'z1')
       + G(0,a2,a1,0,a1,'z1')
       + G(0,a2,a2,a1,a1,'z1')
       - G(0,a2,a2,a1,a2,'z1')
       - G(0,a2,a2,0,a1,'z1')
       + G(0,a2,0,a1,a1,'z1')
       - G(0,a2,0,0,a1,'z1')
      ;

   id G(a1?!{,'z1'},'z1','z1','z1',a2?!{,'z1'},'z1') =
       + 3*delta(0,a1)*delta(0,a2)*zeta5
       - delta(0,a1)*delta(0,a2)*zeta2*zeta3
       + 2*delta(0,a1)*delta(0,a2)*G(a1,a1,'z1')*zeta3
       - 2*delta(0,a1)*delta(0,a2)*G(a1,a2,'z1')*zeta3
       - 5/4*delta(0,a1)*delta(0,a2)*G(a1,'z1')*zeta4
       - 2*delta(0,a1)*delta(0,a2)*G(a2,a1,'z1')*zeta3
       + 2*delta(0,a1)*delta(0,a2)*G(a2,a2,'z1')*zeta3
       + 5/4*delta(0,a1)*delta(0,a2)*G(a2,'z1')*zeta4
       - delta(0,a1)*G(a1,a1,a2,'z1')*zeta2
       + delta(0,a1)*G(a1,a2,a2,'z1')*zeta2
       + delta(0,a1)*G(a1,a2,'z1')*zeta3
       + delta(0,a1)*G(a2,a1,a2,'z1')*zeta2
       + delta(0,a1)*G(a2,a1,'z1')*zeta3
       - delta(0,a1)*G(a2,a2,a2,'z1')*zeta2
       - delta(0,a1)*G(a2,a2,'z1')*zeta3
       - delta(0,a1)*G(a2,'z1')*zeta4
       - delta(0,a1)*G(a2,0,'z1')*zeta3
       + G(a1,a1,a1,a1,a2,'z1')
       + G(a1,a1,a2,a1,a1,'z1')
       - G(a1,a1,a2,a1,a2,'z1')
       - G(a1,a1,a2,0,a1,'z1')
       + G(a1,a2,a1,a1,a1,'z1')
       - G(a1,a2,a1,a1,a2,'z1')
       - G(a1,a2,a1,0,a1,'z1')
       - G(a1,a2,a2,a1,a1,'z1')
       + G(a1,a2,a2,a1,a2,'z1')
       + G(a1,a2,a2,0,a1,'z1')
       - G(a1,a2,0,a1,a1,'z1')
       + G(a1,a2,0,0,a1,'z1')
       + G(a2,a1,a1,a1,a1,'z1')
       - G(a2,a1,a1,a1,a2,'z1')
       - G(a2,a1,a1,0,a1,'z1')
       - G(a2,a1,a2,a1,a1,'z1')
       + G(a2,a1,a2,a1,a2,'z1')
       + G(a2,a1,a2,0,a1,'z1')
       - G(a2,a1,0,a1,a1,'z1')
       + G(a2,a1,0,0,a1,'z1')
       - G(a2,a2,a1,a1,a1,'z1')
       + G(a2,a2,a1,a1,a2,'z1')
       + G(a2,a2,a1,0,a1,'z1')
       + G(a2,a2,a2,a1,a1,'z1')
       - G(a2,a2,a2,a1,a2,'z1')
       - G(a2,a2,a2,0,a1,'z1')
       + G(a2,a2,0,a1,a1,'z1')
       - G(a2,a2,0,0,a1,'z1')
       - G(a2,0,a1,a1,a1,'z1')
       + G(a2,0,a1,0,a1,'z1')
       + G(a2,0,0,a1,a1,'z1')
       - G(a2,0,0,0,a1,'z1')
      ;

   id G(a1?!{,'z1'},a2?!{,'z1'},a3?!{,'z1'},'z1','z1','z1') =
       + 2*delta(0,a1)*delta(0,a2)*delta(0,a3)*zeta5
       - delta(0,a1)*delta(0,a2)*delta(0,a3)*zeta2*zeta3
       - delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a3,'z1')*zeta4
       + delta(0,a1)*delta(0,a2)*delta(0,a3)*G(0,'z1')*zeta4
       + delta(0,a1)*delta(0,a2)*G(a3,a2,'z1')*zeta3
       + delta(0,a1)*delta(0,a2)*G(a3,a3,'z1')*zeta3
       - 1/4*delta(0,a1)*delta(0,a2)*G(a3,'z1')*zeta4
       - delta(0,a1)*delta(0,a2)*G(a3,0,'z1')*zeta3
       - delta(0,a1)*delta(0,a2)*G(0,a3,'z1')*zeta3
       - delta(0,a1)*G(a3,a2,a2,'z1')*zeta2
       + delta(0,a1)*G(a3,a2,'z1')*zeta3
       - delta(0,a1)*G(a3,a3,a2,'z1')*zeta2
       + delta(0,a1)*G(a3,0,a2,'z1')*zeta2
       + delta(0,a1)*G(0,a3,a2,'z1')*zeta2
       - delta(0,a2)*delta(0,a3)*G(a1,a3,'z1')*zeta3
       + 1/4*delta(0,a2)*delta(0,a3)*G(a1,'z1')*zeta4
       + delta(0,a2)*delta(0,a3)*G(a1,0,'z1')*zeta3
       - delta(0,a2)*delta(0,a3)*G(a3,a1,'z1')*zeta3
       + delta(0,a2)*delta(0,a3)*G(0,a1,'z1')*zeta3
       + delta(0,a2)*G(a1,a3,a3,'z1')*zeta2
       - delta(0,a2)*G(a1,a3,'z1')*zeta3
       - delta(0,a2)*G(a1,0,a3,'z1')*zeta2
       + delta(0,a2)*G(a3,a1,a3,'z1')*zeta2
       - delta(0,a2)*G(a3,a1,'z1')*zeta3
       + delta(0,a2)*G(a3,a2,a1,'z1')*zeta2
       + delta(0,a2)*G(a3,a3,a1,'z1')*zeta2
       - delta(0,a2)*G(a3,0,a1,'z1')*zeta2
       - delta(0,a2)*G(0,a1,a3,'z1')*zeta2
       - delta(0,a2)*G(0,a3,a1,'z1')*zeta2
       + delta(0,a3)*G(a1,a2,'z1')*zeta3
       - delta(0,a3)*G(a1,a3,a2,'z1')*zeta2
       + delta(0,a3)*G(a1,0,a2,'z1')*zeta2
       - delta(0,a3)*G(a3,a1,a2,'z1')*zeta2
       + delta(0,a3)*G(0,a1,a2,'z1')*zeta2
       + G(a1,a2,a3,a3,a3,'z1')
       - G(a1,a2,a3,0,a3,'z1')
       - G(a1,a2,0,a3,a3,'z1')
       + G(a1,a2,0,0,a3,'z1')
       - G(a1,a3,a2,a2,a2,'z1')
       + G(a1,a3,a2,a3,a3,'z1')
       + G(a1,a3,a2,0,a2,'z1')
       - G(a1,a3,a2,0,a3,'z1')
       - G(a1,a3,a3,a2,a2,'z1')
       + G(a1,a3,a3,a2,a3,'z1')
       + G(a1,a3,a3,0,a2,'z1')
       + G(a1,a3,0,a2,a2,'z1')
       - G(a1,a3,0,a2,a3,'z1')
       - G(a1,a3,0,0,a2,'z1')
       - G(a1,0,a2,a3,a3,'z1')
       + G(a1,0,a2,0,a3,'z1')
       + G(a1,0,a3,a2,a2,'z1')
       - G(a1,0,a3,a2,a3,'z1')
       - G(a1,0,a3,0,a2,'z1')
       + G(a1,0,0,a2,a3,'z1')
       - G(a3,a1,a2,a2,a2,'z1')
       + G(a3,a1,a2,a3,a3,'z1')
       + G(a3,a1,a2,0,a2,'z1')
       - G(a3,a1,a2,0,a3,'z1')
       - G(a3,a1,a3,a2,a2,'z1')
       + G(a3,a1,a3,a2,a3,'z1')
       + G(a3,a1,a3,0,a2,'z1')
       + G(a3,a1,0,a2,a2,'z1')
       - G(a3,a1,0,a2,a3,'z1')
       - G(a3,a1,0,0,a2,'z1')
       + G(a3,a2,a1,a1,a1,'z1')
       - G(a3,a2,a1,a2,a2,'z1')
       - G(a3,a2,a1,0,a1,'z1')
       + G(a3,a2,a1,0,a2,'z1')
       + G(a3,a2,a2,a1,a1,'z1')
       - G(a3,a2,a2,a1,a2,'z1')
       - G(a3,a2,a2,0,a1,'z1')
       - G(a3,a2,0,a1,a1,'z1')
       + G(a3,a2,0,a1,a2,'z1')
       + G(a3,a2,0,0,a1,'z1')
       - G(a3,a3,a1,a2,a2,'z1')
       + G(a3,a3,a1,a2,a3,'z1')
       + G(a3,a3,a1,0,a2,'z1')
       + G(a3,a3,a2,a1,a1,'z1')
       - G(a3,a3,a2,a1,a2,'z1')
       - G(a3,a3,a2,0,a1,'z1')
       + G(a3,a3,0,a1,a2,'z1')
       + G(a3,0,a1,a2,a2,'z1')
       - G(a3,0,a1,a2,a3,'z1')
       - G(a3,0,a1,0,a2,'z1')
       - G(a3,0,a2,a1,a1,'z1')
       + G(a3,0,a2,a1,a2,'z1')
       + G(a3,0,a2,0,a1,'z1')
       - G(a3,0,0,a1,a2,'z1')
       - G(0,a1,a2,a3,a3,'z1')
       + G(0,a1,a2,0,a3,'z1')
       + G(0,a1,a3,a2,a2,'z1')
       - G(0,a1,a3,a2,a3,'z1')
       - G(0,a1,a3,0,a2,'z1')
       + G(0,a1,0,a2,a3,'z1')
       + G(0,a3,a1,a2,a2,'z1')
       - G(0,a3,a1,a2,a3,'z1')
       - G(0,a3,a1,0,a2,'z1')
       - G(0,a3,a2,a1,a1,'z1')
       + G(0,a3,a2,a1,a2,'z1')
       + G(0,a3,a2,0,a1,'z1')
       - G(0,a3,0,a1,a2,'z1')
       + G(0,0,a1,a2,a3,'z1')
      ;

   id G(a1?!{,'z1'},a2?!{,'z1'},'z1',a3?!{,'z1'},'z1','z1') =
       - 11/2*delta(0,a1)*delta(0,a2)*delta(0,a3)*zeta5
       + 3*delta(0,a1)*delta(0,a2)*delta(0,a3)*zeta2*zeta3
       - delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a2,'z1')*zeta4
       + 4*delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a3,'z1')*zeta4
       - 3*delta(0,a1)*delta(0,a2)*delta(0,a3)*G(0,'z1')*zeta4
       + delta(0,a1)*delta(0,a2)*G(a2,a3,'z1')*zeta3
       - 2*delta(0,a1)*delta(0,a2)*G(a3,a3,'z1')*zeta3
       + delta(0,a1)*delta(0,a2)*G(0,a3,'z1')*zeta3
       + delta(0,a1)*delta(0,a3)*G(a2,a1,'z1')*zeta3
       - 3*delta(0,a1)*delta(0,a3)*G(a2,a3,'z1')*zeta3
       - 3/4*delta(0,a1)*delta(0,a3)*G(a2,'z1')*zeta4
       + 2*delta(0,a1)*delta(0,a3)*G(a2,0,'z1')*zeta3
       - 2*delta(0,a1)*delta(0,a3)*G(a3,a2,'z1')*zeta3
       + 2*delta(0,a1)*delta(0,a3)*G(0,a2,'z1')*zeta3
       - delta(0,a1)*G(a2,a1,a3,'z1')*zeta2
       - delta(0,a1)*G(a2,a3,a2,'z1')*zeta2
       + 2*delta(0,a1)*G(a2,a3,a3,'z1')*zeta2
       - delta(0,a1)*G(a2,0,a3,'z1')*zeta2
       + delta(0,a1)*G(a3,a2,a3,'z1')*zeta2
       + 2*delta(0,a1)*G(a3,a3,a2,'z1')*zeta2
       - delta(0,a1)*G(0,a2,a3,'z1')*zeta2
       - delta(0,a1)*G(0,a3,a2,'z1')*zeta2
       - delta(0,a2)*delta(0,a3)*G(a1,a2,'z1')*zeta3
       + 3*delta(0,a2)*delta(0,a3)*G(a1,a3,'z1')*zeta3
       + 3/4*delta(0,a2)*delta(0,a3)*G(a1,'z1')*zeta4
       - 2*delta(0,a2)*delta(0,a3)*G(a1,0,'z1')*zeta3
       - delta(0,a2)*delta(0,a3)*G(a2,a1,'z1')*zeta3
       + 3*delta(0,a2)*delta(0,a3)*G(a3,a1,'z1')*zeta3
       - 2*delta(0,a2)*delta(0,a3)*G(0,a1,'z1')*zeta3
       + delta(0,a2)*G(a1,a2,a3,'z1')*zeta2
       - 2*delta(0,a2)*G(a1,a3,a3,'z1')*zeta2
       + delta(0,a2)*G(a1,0,a3,'z1')*zeta2
       + delta(0,a2)*G(a2,a1,a3,'z1')*zeta2
       + delta(0,a2)*G(a2,a3,a1,'z1')*zeta2
       - 2*delta(0,a2)*G(a3,a1,a3,'z1')*zeta2
       - 2*delta(0,a2)*G(a3,a3,a1,'z1')*zeta2
       + delta(0,a2)*G(0,a1,a3,'z1')*zeta2
       + delta(0,a2)*G(0,a3,a1,'z1')*zeta2
       - delta(0,a3)*G(a1,a2,a2,'z1')*zeta2
       + delta(0,a3)*G(a1,a3,a2,'z1')*zeta2
       + delta(0,a3)*G(a2,a1,a1,'z1')*zeta2
       - delta(0,a3)*G(a2,a1,a2,'z1')*zeta2
       - delta(0,a3)*G(a2,a3,a1,'z1')*zeta2
       + delta(0,a3)*G(a3,a1,a2,'z1')*zeta2
       + G(a1,a2,a2,a3,a3,'z1')
       - G(a1,a2,a2,0,a3,'z1')
       - G(a1,a2,a3,a2,a2,'z1')
       + G(a1,a2,a3,a2,a3,'z1')
       + G(a1,a2,a3,0,a2,'z1')
       - G(a1,a2,0,a2,a3,'z1')
       + G(a1,a3,a2,a2,a3,'z1')
       - G(a1,a3,a2,a3,a3,'z1')
       + G(a1,a3,a2,0,a3,'z1')
       + 2*G(a1,a3,a3,a2,a2,'z1')
       - 2*G(a1,a3,a3,a2,a3,'z1')
       - 2*G(a1,a3,a3,0,a2,'z1')
       + G(a1,a3,0,a2,a3,'z1')
       - G(a1,0,a2,a2,a3,'z1')
       - G(a1,0,a3,a2,a2,'z1')
       + G(a1,0,a3,a2,a3,'z1')
       + G(a1,0,a3,0,a2,'z1')
       - G(a2,a1,a1,a3,a3,'z1')
       + G(a2,a1,a1,0,a3,'z1')
       + G(a2,a1,a2,a3,a3,'z1')
       - G(a2,a1,a2,0,a3,'z1')
       + G(a2,a1,a3,a1,a1,'z1')
       - G(a2,a1,a3,a1,a3,'z1')
       - G(a2,a1,a3,a2,a2,'z1')
       + G(a2,a1,a3,a2,a3,'z1')
       - G(a2,a1,a3,0,a1,'z1')
       + G(a2,a1,a3,0,a2,'z1')
       + G(a2,a1,0,a1,a3,'z1')
       - G(a2,a1,0,a2,a3,'z1')
       - G(a2,a3,a1,a1,a3,'z1')
       - G(a2,a3,a1,a2,a2,'z1')
       + G(a2,a3,a1,a2,a3,'z1')
       + G(a2,a3,a1,a3,a3,'z1')
       + G(a2,a3,a1,0,a2,'z1')
       - G(a2,a3,a1,0,a3,'z1')
       + G(a2,a3,a2,a1,a1,'z1')
       - G(a2,a3,a2,a1,a2,'z1')
       - G(a2,a3,a2,0,a1,'z1')
       - 2*G(a2,a3,a3,a1,a1,'z1')
       + 2*G(a2,a3,a3,a1,a3,'z1')
       + 2*G(a2,a3,a3,0,a1,'z1')
       + G(a2,a3,0,a1,a2,'z1')
       - G(a2,a3,0,a1,a3,'z1')
       + G(a2,0,a1,a1,a3,'z1')
       - G(a2,0,a1,a2,a3,'z1')
       + G(a2,0,a3,a1,a1,'z1')
       - G(a2,0,a3,a1,a3,'z1')
       - G(a2,0,a3,0,a1,'z1')
       + G(a3,a1,a2,a2,a3,'z1')
       - G(a3,a1,a2,a3,a3,'z1')
       + G(a3,a1,a2,0,a3,'z1')
       + 2*G(a3,a1,a3,a2,a2,'z1')
       - 2*G(a3,a1,a3,a2,a3,'z1')
       - 2*G(a3,a1,a3,0,a2,'z1')
       + G(a3,a1,0,a2,a3,'z1')
       - G(a3,a2,a1,a1,a3,'z1')
       + G(a3,a2,a1,a2,a3,'z1')
       - G(a3,a2,a3,a1,a1,'z1')
       + G(a3,a2,a3,a1,a3,'z1')
       + G(a3,a2,a3,0,a1,'z1')
       + 2*G(a3,a3,a1,a2,a2,'z1')
       - 2*G(a3,a3,a1,a2,a3,'z1')
       - 2*G(a3,a3,a1,0,a2,'z1')
       - 2*G(a3,a3,a2,a1,a1,'z1')
       + 2*G(a3,a3,a2,a1,a2,'z1')
       + 2*G(a3,a3,a2,0,a1,'z1')
       - 2*G(a3,a3,0,a1,a2,'z1')
       + G(a3,0,a1,a2,a3,'z1')
       - G(0,a1,a2,a2,a3,'z1')
       - G(0,a1,a3,a2,a2,'z1')
       + G(0,a1,a3,a2,a3,'z1')
       + G(0,a1,a3,0,a2,'z1')
       + G(0,a2,a1,a1,a3,'z1')
       - G(0,a2,a1,a2,a3,'z1')
       + G(0,a2,a3,a1,a1,'z1')
       - G(0,a2,a3,a1,a3,'z1')
       - G(0,a2,a3,0,a1,'z1')
       - G(0,a3,a1,a2,a2,'z1')
       + G(0,a3,a1,a2,a3,'z1')
       + G(0,a3,a1,0,a2,'z1')
       + G(0,a3,a2,a1,a1,'z1')
       - G(0,a3,a2,a1,a2,'z1')
       - G(0,a3,a2,0,a1,'z1')
       + G(0,a3,0,a1,a2,'z1')
      ;

         bracket G;
        .sort:beg1len6;
        keep brackets;

   id G(a1?!{,'z1'},a2?!{,'z1'},'z1','z1',a3?!{,'z1'},'z1') =
       - 1/2*delta(0,a1)*delta(0,a2)*delta(0,a3)*zeta5
       + 3*delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a2,'z1')*zeta4
       - 3*delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a3,'z1')*zeta4
       - delta(0,a1)*delta(0,a2)*G(a2,a3,'z1')*zeta3
       - delta(0,a1)*delta(0,a2)*G(a3,a2,'z1')*zeta3
       + delta(0,a1)*delta(0,a2)*G(a3,a3,'z1')*zeta3
       + 1/4*delta(0,a1)*delta(0,a2)*G(a3,'z1')*zeta4
       + delta(0,a1)*delta(0,a2)*G(a3,0,'z1')*zeta3
       - 2*delta(0,a1)*delta(0,a3)*G(a2,a1,'z1')*zeta3
       - 2*delta(0,a1)*delta(0,a3)*G(a2,a2,'z1')*zeta3
       + 2*delta(0,a1)*delta(0,a3)*G(a2,a3,'z1')*zeta3
       + 5/4*delta(0,a1)*delta(0,a3)*G(a2,'z1')*zeta4
       + 2*delta(0,a1)*delta(0,a3)*G(a3,a2,'z1')*zeta3
       + delta(0,a1)*G(a2,a1,a3,'z1')*zeta2
       + delta(0,a1)*G(a2,a2,a3,'z1')*zeta2
       + delta(0,a1)*G(a2,a3,a2,'z1')*zeta2
       - delta(0,a1)*G(a2,a3,a3,'z1')*zeta2
       - delta(0,a1)*G(a2,a3,'z1')*zeta3
       + delta(0,a1)*G(a3,a2,a2,'z1')*zeta2
       - delta(0,a1)*G(a3,a2,a3,'z1')*zeta2
       - delta(0,a1)*G(a3,a2,'z1')*zeta3
       - delta(0,a1)*G(a3,a3,a2,'z1')*zeta2
       - delta(0,a1)*G(a3,0,a2,'z1')*zeta2
       + 2*delta(0,a2)*delta(0,a3)*G(a1,a2,'z1')*zeta3
       - 2*delta(0,a2)*delta(0,a3)*G(a1,a3,'z1')*zeta3
       - 5/4*delta(0,a2)*delta(0,a3)*G(a1,'z1')*zeta4
       + 2*delta(0,a2)*delta(0,a3)*G(a2,a1,'z1')*zeta3
       - 2*delta(0,a2)*delta(0,a3)*G(a3,a1,'z1')*zeta3
       - delta(0,a2)*G(a1,a2,a3,'z1')*zeta2
       + delta(0,a2)*G(a1,a3,a3,'z1')*zeta2
       + delta(0,a2)*G(a1,a3,'z1')*zeta3
       - delta(0,a2)*G(a2,a1,a3,'z1')*zeta2
       - delta(0,a2)*G(a2,a3,a1,'z1')*zeta2
       + delta(0,a2)*G(a3,a1,a3,'z1')*zeta2
       + delta(0,a2)*G(a3,a1,'z1')*zeta3
       - delta(0,a2)*G(a3,a2,a1,'z1')*zeta2
       + delta(0,a2)*G(a3,a3,a1,'z1')*zeta2
       + delta(0,a2)*G(a3,0,a1,'z1')*zeta2
       + G(a1,a2,a2,a2,a3,'z1')
       + G(a1,a2,a3,a2,a2,'z1')
       - G(a1,a2,a3,a2,a3,'z1')
       - G(a1,a2,a3,0,a2,'z1')
       + G(a1,a3,a2,a2,a2,'z1')
       - G(a1,a3,a2,a2,a3,'z1')
       - G(a1,a3,a2,0,a2,'z1')
       - G(a1,a3,a3,a2,a2,'z1')
       + G(a1,a3,a3,a2,a3,'z1')
       + G(a1,a3,a3,0,a2,'z1')
       - G(a1,a3,0,a2,a2,'z1')
       + G(a1,a3,0,0,a2,'z1')
       - G(a2,a1,a1,a1,a3,'z1')
       + G(a2,a1,a2,a2,a3,'z1')
       - G(a2,a1,a3,a1,a1,'z1')
       + G(a2,a1,a3,a1,a3,'z1')
       + G(a2,a1,a3,a2,a2,'z1')
       - G(a2,a1,a3,a2,a3,'z1')
       + G(a2,a1,a3,0,a1,'z1')
       - G(a2,a1,a3,0,a2,'z1')
       - G(a2,a2,a1,a1,a3,'z1')
       + G(a2,a2,a1,a2,a3,'z1')
       - G(a2,a2,a3,a1,a1,'z1')
       + G(a2,a2,a3,a1,a3,'z1')
       + G(a2,a2,a3,0,a1,'z1')
       - G(a2,a3,a1,a1,a1,'z1')
       + G(a2,a3,a1,a1,a3,'z1')
       + G(a2,a3,a1,a2,a2,'z1')
       - G(a2,a3,a1,a2,a3,'z1')
       + G(a2,a3,a1,0,a1,'z1')
       - G(a2,a3,a1,0,a2,'z1')
       - G(a2,a3,a2,a1,a1,'z1')
       + G(a2,a3,a2,a1,a2,'z1')
       + G(a2,a3,a2,0,a1,'z1')
       + G(a2,a3,a3,a1,a1,'z1')
       - G(a2,a3,a3,a1,a3,'z1')
       - G(a2,a3,a3,0,a1,'z1')
       + G(a2,a3,0,a1,a1,'z1')
       - G(a2,a3,0,a1,a2,'z1')
       - G(a2,a3,0,0,a1,'z1')
       + G(a3,a1,a2,a2,a2,'z1')
       - G(a3,a1,a2,a2,a3,'z1')
       - G(a3,a1,a2,0,a2,'z1')
       - G(a3,a1,a3,a2,a2,'z1')
       + G(a3,a1,a3,a2,a3,'z1')
       + G(a3,a1,a3,0,a2,'z1')
       - G(a3,a1,0,a2,a2,'z1')
       + G(a3,a1,0,0,a2,'z1')
       - G(a3,a2,a1,a1,a1,'z1')
       + G(a3,a2,a1,a1,a3,'z1')
       + G(a3,a2,a1,a2,a2,'z1')
       - G(a3,a2,a1,a2,a3,'z1')
       + G(a3,a2,a1,0,a1,'z1')
       - G(a3,a2,a1,0,a2,'z1')
       - G(a3,a2,a2,a1,a1,'z1')
       + G(a3,a2,a2,a1,a2,'z1')
       + G(a3,a2,a2,0,a1,'z1')
       + G(a3,a2,a3,a1,a1,'z1')
       - G(a3,a2,a3,a1,a3,'z1')
       - G(a3,a2,a3,0,a1,'z1')
       + G(a3,a2,0,a1,a1,'z1')
       - G(a3,a2,0,a1,a2,'z1')
       - G(a3,a2,0,0,a1,'z1')
       - G(a3,a3,a1,a2,a2,'z1')
       + G(a3,a3,a1,a2,a3,'z1')
       + G(a3,a3,a1,0,a2,'z1')
       + G(a3,a3,a2,a1,a1,'z1')
       - G(a3,a3,a2,a1,a2,'z1')
       - G(a3,a3,a2,0,a1,'z1')
       + G(a3,a3,0,a1,a2,'z1')
       - G(a3,0,a1,a2,a2,'z1')
       + G(a3,0,a1,0,a2,'z1')
       + G(a3,0,a2,a1,a1,'z1')
       - G(a3,0,a2,a1,a2,'z1')
       - G(a3,0,a2,0,a1,'z1')
       + G(a3,0,0,a1,a2,'z1')
      ;

   id G(a1?!{,'z1'},'z1',a2?!{,'z1'},'z1',a3?!{,'z1'},'z1') =
       + 2*delta(0,a1)*delta(0,a2)*delta(0,a3)*zeta5
       - 2*delta(0,a1)*delta(0,a2)*delta(0,a3)*zeta2*zeta3
       + 3*delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a1,'z1')*zeta4
       - 6*delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a2,'z1')*zeta4
       + 3*delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a3,'z1')*zeta4
       - delta(0,a1)*delta(0,a2)*G(a1,a3,'z1')*zeta3
       + delta(0,a1)*delta(0,a2)*G(a2,a3,'z1')*zeta3
       - delta(0,a1)*delta(0,a2)*G(a3,a1,'z1')*zeta3
       + 3*delta(0,a1)*delta(0,a2)*G(a3,a2,'z1')*zeta3
       + 3/4*delta(0,a1)*delta(0,a2)*G(a3,'z1')*zeta4
       - 2*delta(0,a1)*delta(0,a2)*G(a3,0,'z1')*zeta3
       - 2*delta(0,a1)*delta(0,a3)*G(a1,a2,'z1')*zeta3
       + 4*delta(0,a1)*delta(0,a3)*G(a2,a2,'z1')*zeta3
       - 2*delta(0,a1)*delta(0,a3)*G(a3,a2,'z1')*zeta3
       + delta(0,a1)*G(a1,a2,a3,'z1')*zeta2
       + delta(0,a1)*G(a1,a3,a2,'z1')*zeta2
       - 2*delta(0,a1)*G(a2,a2,a3,'z1')*zeta2
       - delta(0,a1)*G(a2,a3,a2,'z1')*zeta2
       + delta(0,a1)*G(a3,a1,a2,'z1')*zeta2
       - 2*delta(0,a1)*G(a3,a2,a2,'z1')*zeta2
       + delta(0,a1)*G(a3,a2,a3,'z1')*zeta2
       + delta(0,a1)*G(a3,0,a2,'z1')*zeta2
       + 2*delta(0,a2)*delta(0,a3)*G(a1,a1,'z1')*zeta3
       - 2*delta(0,a2)*delta(0,a3)*G(a2,a1,'z1')*zeta3
       - delta(0,a2)*G(a1,a1,a3,'z1')*zeta2
       - delta(0,a2)*G(a1,a3,a1,'z1')*zeta2
       + delta(0,a2)*G(a2,a1,a3,'z1')*zeta2
       + delta(0,a2)*G(a2,a3,a1,'z1')*zeta2
       - delta(0,a2)*G(a3,a1,a1,'z1')*zeta2
       + delta(0,a2)*G(a3,a2,a1,'z1')*zeta2
       + G(a1,a1,a2,a2,a3,'z1')
       + G(a1,a1,a3,a2,a2,'z1')
       - G(a1,a1,a3,a2,a3,'z1')
       - G(a1,a1,a3,0,a2,'z1')
       - G(a1,a2,a1,a1,a3,'z1')
       + G(a1,a2,a1,a2,a3,'z1')
       - G(a1,a2,a3,a1,a1,'z1')
       + G(a1,a2,a3,a1,a3,'z1')
       + G(a1,a2,a3,0,a1,'z1')
       + G(a1,a3,a1,a2,a2,'z1')
       - G(a1,a3,a1,a2,a3,'z1')
       - G(a1,a3,a1,0,a2,'z1')
       - G(a1,a3,a2,a1,a1,'z1')
       + G(a1,a3,a2,a1,a2,'z1')
       + G(a1,a3,a2,0,a1,'z1')
       - G(a1,a3,0,a1,a2,'z1')
       + G(a2,a1,a1,a2,a3,'z1')
       - G(a2,a1,a2,a2,a3,'z1')
       - G(a2,a1,a3,a2,a2,'z1')
       + G(a2,a1,a3,a2,a3,'z1')
       + G(a2,a1,a3,0,a2,'z1')
       + 2*G(a2,a2,a1,a1,a3,'z1')
       - 2*G(a2,a2,a1,a2,a3,'z1')
       + 2*G(a2,a2,a3,a1,a1,'z1')
       - 2*G(a2,a2,a3,a1,a3,'z1')
       - 2*G(a2,a2,a3,0,a1,'z1')
       - G(a2,a3,a1,a2,a2,'z1')
       + G(a2,a3,a1,a2,a3,'z1')
       + G(a2,a3,a1,0,a2,'z1')
       + G(a2,a3,a2,a1,a1,'z1')
       - G(a2,a3,a2,a1,a2,'z1')
       - G(a2,a3,a2,0,a1,'z1')
       + G(a2,a3,0,a1,a2,'z1')
       + G(a3,a1,a1,a2,a2,'z1')
       - G(a3,a1,a1,a2,a3,'z1')
       - G(a3,a1,a1,0,a2,'z1')
       - G(a3,a1,a2,a1,a1,'z1')
       + G(a3,a1,a2,a1,a2,'z1')
       + G(a3,a1,a2,0,a1,'z1')
       - G(a3,a1,0,a1,a2,'z1')
       + G(a3,a2,a1,a1,a2,'z1')
       - G(a3,a2,a1,a1,a3,'z1')
       - G(a3,a2,a1,a2,a2,'z1')
       + G(a3,a2,a1,a2,a3,'z1')
       + G(a3,a2,a1,0,a2,'z1')
       + 2*G(a3,a2,a2,a1,a1,'z1')
       - 2*G(a3,a2,a2,a1,a2,'z1')
       - 2*G(a3,a2,a2,0,a1,'z1')
       - G(a3,a2,a3,a1,a1,'z1')
       + G(a3,a2,a3,a1,a3,'z1')
       + G(a3,a2,a3,0,a1,'z1')
       + G(a3,a2,0,a1,a2,'z1')
       - G(a3,0,a1,a1,a2,'z1')
       - G(a3,0,a2,a1,a1,'z1')
       + G(a3,0,a2,a1,a2,'z1')
       + G(a3,0,a2,0,a1,'z1')
      ;

   id G(a1?!{,'z1'},'z1','z1',a2?!{,'z1'},a3?!{,'z1'},'z1') =
       - 1/2*delta(0,a1)*delta(0,a2)*delta(0,a3)*zeta5
       + delta(0,a1)*delta(0,a2)*delta(0,a3)*zeta2*zeta3
       - 3*delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a1,'z1')*zeta4
       + 3*delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a2,'z1')*zeta4
       + 2*delta(0,a1)*delta(0,a3)*G(a1,a2,'z1')*zeta3
       + 2*delta(0,a1)*delta(0,a3)*G(a2,a1,'z1')*zeta3
       - 2*delta(0,a1)*delta(0,a3)*G(a2,a2,'z1')*zeta3
       - 2*delta(0,a1)*delta(0,a3)*G(a2,a3,'z1')*zeta3
       - 5/4*delta(0,a1)*delta(0,a3)*G(a2,'z1')*zeta4
       - delta(0,a1)*G(a1,a2,a3,'z1')*zeta2
       - delta(0,a1)*G(a2,a1,a3,'z1')*zeta2
       + delta(0,a1)*G(a2,a2,a3,'z1')*zeta2
       + delta(0,a1)*G(a2,a3,a3,'z1')*zeta2
       + delta(0,a1)*G(a2,a3,'z1')*zeta3
       + G(a1,a1,a1,a2,a3,'z1')
       + G(a1,a2,a1,a1,a3,'z1')
       - G(a1,a2,a1,a2,a3,'z1')
       + G(a1,a2,a3,a1,a1,'z1')
       - G(a1,a2,a3,a1,a3,'z1')
       - G(a1,a2,a3,0,a1,'z1')
       + G(a2,a1,a1,a1,a3,'z1')
       - G(a2,a1,a1,a2,a3,'z1')
       + G(a2,a1,a3,a1,a1,'z1')
       - G(a2,a1,a3,a1,a3,'z1')
       - G(a2,a1,a3,0,a1,'z1')
       - G(a2,a2,a1,a1,a3,'z1')
       + G(a2,a2,a1,a2,a3,'z1')
       - G(a2,a2,a3,a1,a1,'z1')
       + G(a2,a2,a3,a1,a3,'z1')
       + G(a2,a2,a3,0,a1,'z1')
       + G(a2,a3,a1,a1,a1,'z1')
       - G(a2,a3,a1,a1,a3,'z1')
       - G(a2,a3,a1,0,a1,'z1')
       - G(a2,a3,a3,a1,a1,'z1')
       + G(a2,a3,a3,a1,a3,'z1')
       + G(a2,a3,a3,0,a1,'z1')
       - G(a2,a3,0,a1,a1,'z1')
       + G(a2,a3,0,0,a1,'z1')
      ;

   id G(a1?!{,'z1'},'z1',a2?!{,'z1'},a3?!{,'z1'},'z1','z1') =
       + 9/2*delta(0,a1)*delta(0,a2)*delta(0,a3)*zeta5
       - 2*delta(0,a1)*delta(0,a2)*delta(0,a3)*zeta2*zeta3
       - delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a1,'z1')*zeta4
       + delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a2,'z1')*zeta4
       - 3*delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a3,'z1')*zeta4
       + 3*delta(0,a1)*delta(0,a2)*delta(0,a3)*G(0,'z1')*zeta4
       + delta(0,a1)*delta(0,a2)*G(a1,a3,'z1')*zeta3
       - delta(0,a1)*delta(0,a2)*G(a2,a3,'z1')*zeta3
       + delta(0,a1)*delta(0,a2)*G(a3,a1,'z1')*zeta3
       - 3*delta(0,a1)*delta(0,a2)*G(a3,a2,'z1')*zeta3
       - 3/4*delta(0,a1)*delta(0,a2)*G(a3,'z1')*zeta4
       + 2*delta(0,a1)*delta(0,a2)*G(a3,0,'z1')*zeta3
       - delta(0,a1)*delta(0,a3)*G(a2,a1,'z1')*zeta3
       + 3*delta(0,a1)*delta(0,a3)*G(a2,a3,'z1')*zeta3
       + 3/4*delta(0,a1)*delta(0,a3)*G(a2,'z1')*zeta4
       - 2*delta(0,a1)*delta(0,a3)*G(a2,0,'z1')*zeta3
       + 2*delta(0,a1)*delta(0,a3)*G(a3,a2,'z1')*zeta3
       - 2*delta(0,a1)*delta(0,a3)*G(0,a2,'z1')*zeta3
       - delta(0,a1)*G(a1,a3,a2,'z1')*zeta2
       + delta(0,a1)*G(a2,a1,a3,'z1')*zeta2
       + delta(0,a1)*G(a2,a3,a2,'z1')*zeta2
       - 2*delta(0,a1)*G(a2,a3,a3,'z1')*zeta2
       + delta(0,a1)*G(a2,0,a3,'z1')*zeta2
       - delta(0,a1)*G(a3,a1,a2,'z1')*zeta2
       + 2*delta(0,a1)*G(a3,a2,a2,'z1')*zeta2
       - delta(0,a1)*G(a3,a2,a3,'z1')*zeta2
       - delta(0,a1)*G(a3,0,a2,'z1')*zeta2
       + delta(0,a1)*G(0,a2,a3,'z1')*zeta2
       - delta(0,a2)*delta(0,a3)*G(a1,a1,'z1')*zeta3
       + delta(0,a2)*delta(0,a3)*G(a2,a1,'z1')*zeta3
       + delta(0,a2)*G(a1,a1,a3,'z1')*zeta2
       + delta(0,a2)*G(a1,a3,a1,'z1')*zeta2
       - delta(0,a2)*G(a2,a1,a3,'z1')*zeta2
       - delta(0,a2)*G(a2,a3,a1,'z1')*zeta2
       + delta(0,a2)*G(a3,a1,a1,'z1')*zeta2
       - delta(0,a2)*G(a3,a2,a1,'z1')*zeta2
       - delta(0,a3)*G(a1,a1,a2,'z1')*zeta2
       - delta(0,a3)*G(a2,a1,a1,'z1')*zeta2
       + delta(0,a3)*G(a2,a1,a2,'z1')*zeta2
       + delta(0,a3)*G(a2,a3,a1,'z1')*zeta2
       + G(a1,a1,a2,a3,a3,'z1')
       - G(a1,a1,a2,0,a3,'z1')
       - G(a1,a1,a3,a2,a2,'z1')
       + G(a1,a1,a3,a2,a3,'z1')
       + G(a1,a1,a3,0,a2,'z1')
       - G(a1,a1,0,a2,a3,'z1')
       - G(a1,a3,a1,a2,a2,'z1')
       + G(a1,a3,a1,a2,a3,'z1')
       + G(a1,a3,a1,0,a2,'z1')
       + G(a1,a3,a2,a1,a1,'z1')
       - G(a1,a3,a2,a1,a2,'z1')
       - G(a1,a3,a2,0,a1,'z1')
       + G(a1,a3,0,a1,a2,'z1')
       - G(a1,0,a1,a2,a3,'z1')
       + G(a2,a1,a1,a3,a3,'z1')
       - G(a2,a1,a1,0,a3,'z1')
       - G(a2,a1,a2,a3,a3,'z1')
       + G(a2,a1,a2,0,a3,'z1')
       - G(a2,a1,a3,a1,a1,'z1')
       + G(a2,a1,a3,a1,a3,'z1')
       + G(a2,a1,a3,a2,a2,'z1')
       - G(a2,a1,a3,a2,a3,'z1')
       + G(a2,a1,a3,0,a1,'z1')
       - G(a2,a1,a3,0,a2,'z1')
       - G(a2,a1,0,a1,a3,'z1')
       + G(a2,a1,0,a2,a3,'z1')
       + G(a2,a3,a1,a1,a3,'z1')
       + G(a2,a3,a1,a2,a2,'z1')
       - G(a2,a3,a1,a2,a3,'z1')
       - G(a2,a3,a1,a3,a3,'z1')
       - G(a2,a3,a1,0,a2,'z1')
       + G(a2,a3,a1,0,a3,'z1')
       - G(a2,a3,a2,a1,a1,'z1')
       + G(a2,a3,a2,a1,a2,'z1')
       + G(a2,a3,a2,0,a1,'z1')
       + 2*G(a2,a3,a3,a1,a1,'z1')
       - 2*G(a2,a3,a3,a1,a3,'z1')
       - 2*G(a2,a3,a3,0,a1,'z1')
       - G(a2,a3,0,a1,a2,'z1')
       + G(a2,a3,0,a1,a3,'z1')
       - G(a2,0,a1,a1,a3,'z1')
       + G(a2,0,a1,a2,a3,'z1')
       - G(a2,0,a3,a1,a1,'z1')
       + G(a2,0,a3,a1,a3,'z1')
       + G(a2,0,a3,0,a1,'z1')
       - G(a3,a1,a1,a2,a2,'z1')
       + G(a3,a1,a1,a2,a3,'z1')
       + G(a3,a1,a1,0,a2,'z1')
       + G(a3,a1,a2,a1,a1,'z1')
       - G(a3,a1,a2,a1,a2,'z1')
       - G(a3,a1,a2,0,a1,'z1')
       + G(a3,a1,0,a1,a2,'z1')
       - G(a3,a2,a1,a1,a2,'z1')
       + G(a3,a2,a1,a1,a3,'z1')
       + G(a3,a2,a1,a2,a2,'z1')
       - G(a3,a2,a1,a2,a3,'z1')
       - G(a3,a2,a1,0,a2,'z1')
       - 2*G(a3,a2,a2,a1,a1,'z1')
       + 2*G(a3,a2,a2,a1,a2,'z1')
       + 2*G(a3,a2,a2,0,a1,'z1')
       + G(a3,a2,a3,a1,a1,'z1')
       - G(a3,a2,a3,a1,a3,'z1')
       - G(a3,a2,a3,0,a1,'z1')
       - G(a3,a2,0,a1,a2,'z1')
       + G(a3,0,a1,a1,a2,'z1')
       + G(a3,0,a2,a1,a1,'z1')
       - G(a3,0,a2,a1,a2,'z1')
       - G(a3,0,a2,0,a1,'z1')
       - G(0,a1,a1,a2,a3,'z1')
       - G(0,a2,a1,a1,a3,'z1')
       + G(0,a2,a1,a2,a3,'z1')
       - G(0,a2,a3,a1,a1,'z1')
       + G(0,a2,a3,a1,a3,'z1')
       + G(0,a2,a3,0,a1,'z1')
      ;

   id G(a1?!{,'z1'},a2?!{,'z1'},a3?!{,'z1'},a4?!{,'z1'},'z1','z1') =
       - delta(0,a1)*delta(0,a2)*delta(0,a3)*delta(0,a4)*zeta5
       + delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a4,'z1')*zeta4
       - delta(0,a1)*delta(0,a2)*G(a4,a3,'z1')*zeta3
       + delta(0,a1)*G(a4,a3,a2,'z1')*zeta2
       - delta(0,a2)*delta(0,a3)*delta(0,a4)*G(a1,'z1')*zeta4
       + delta(0,a2)*delta(0,a3)*G(a1,a4,'z1')*zeta3
       + delta(0,a2)*delta(0,a3)*G(a4,a1,'z1')*zeta3
       - delta(0,a2)*G(a1,a4,a3,'z1')*zeta2
       - delta(0,a2)*G(a4,a1,a3,'z1')*zeta2
       - delta(0,a2)*G(a4,a3,a1,'z1')*zeta2
       - delta(0,a3)*delta(0,a4)*G(a1,a2,'z1')*zeta3
       + delta(0,a3)*G(a1,a2,a4,'z1')*zeta2
       + delta(0,a3)*G(a1,a4,a2,'z1')*zeta2
       + delta(0,a3)*G(a4,a1,a2,'z1')*zeta2
       - delta(0,a4)*G(a1,a2,a3,'z1')*zeta2
       + G(a1,a2,a3,a4,a4,'z1')
       - G(a1,a2,a3,0,a4,'z1')
       - G(a1,a2,a4,a3,a3,'z1')
       + G(a1,a2,a4,a3,a4,'z1')
       + G(a1,a2,a4,0,a3,'z1')
       - G(a1,a2,0,a3,a4,'z1')
       - G(a1,a4,a2,a3,a3,'z1')
       + G(a1,a4,a2,a3,a4,'z1')
       + G(a1,a4,a2,0,a3,'z1')
       + G(a1,a4,a3,a2,a2,'z1')
       - G(a1,a4,a3,a2,a3,'z1')
       - G(a1,a4,a3,0,a2,'z1')
       + G(a1,a4,0,a2,a3,'z1')
       - G(a1,0,a2,a3,a4,'z1')
       - G(a4,a1,a2,a3,a3,'z1')
       + G(a4,a1,a2,a3,a4,'z1')
       + G(a4,a1,a2,0,a3,'z1')
       + G(a4,a1,a3,a2,a2,'z1')
       - G(a4,a1,a3,a2,a3,'z1')
       - G(a4,a1,a3,0,a2,'z1')
       + G(a4,a1,0,a2,a3,'z1')
       + G(a4,a3,a1,a2,a2,'z1')
       - G(a4,a3,a1,a2,a3,'z1')
       - G(a4,a3,a1,0,a2,'z1')
       - G(a4,a3,a2,a1,a1,'z1')
       + G(a4,a3,a2,a1,a2,'z1')
       + G(a4,a3,a2,0,a1,'z1')
       - G(a4,a3,0,a1,a2,'z1')
       + G(a4,0,a1,a2,a3,'z1')
       - G(0,a1,a2,a3,a4,'z1')
      ;

   id G(a1?!{,'z1'},a2?!{,'z1'},a3?!{,'z1'},'z1',a4?!{,'z1'},'z1') =
       + 4*delta(0,a1)*delta(0,a2)*delta(0,a3)*delta(0,a4)*zeta5
       - delta(0,a1)*delta(0,a2)*delta(0,a3)*G(a4,'z1')*zeta4
       - 3*delta(0,a1)*delta(0,a2)*delta(0,a4)*G(a3,'z1')*zeta4
       + delta(0,a1)*delta(0,a2)*G(a3,a4,'z1')*zeta3
       + delta(0,a1)*delta(0,a2)*G(a4,a3,'z1')*zeta3
       + 2*delta(0,a1)*delta(0,a4)*G(a3,a2,'z1')*zeta3
       - delta(0,a1)*G(a3,a2,a4,'z1')*zeta2
       - delta(0,a1)*G(a3,a4,a2,'z1')*zeta2
       - delta(0,a1)*G(a4,a3,a2,'z1')*zeta2
       + 3*delta(0,a2)*delta(0,a3)*delta(0,a4)*G(a1,'z1')*zeta4
       - delta(0,a2)*delta(0,a3)*G(a1,a4,'z1')*zeta3
       - delta(0,a2)*delta(0,a3)*G(a4,a1,'z1')*zeta3
       - 2*delta(0,a2)*delta(0,a4)*G(a1,a3,'z1')*zeta3
       - 2*delta(0,a2)*delta(0,a4)*G(a3,a1,'z1')*zeta3
       + delta(0,a2)*G(a1,a3,a4,'z1')*zeta2
       + delta(0,a2)*G(a1,a4,a3,'z1')*zeta2
       + delta(0,a2)*G(a3,a1,a4,'z1')*zeta2
       + delta(0,a2)*G(a3,a4,a1,'z1')*zeta2
       + delta(0,a2)*G(a4,a1,a3,'z1')*zeta2
       + delta(0,a2)*G(a4,a3,a1,'z1')*zeta2
       + 2*delta(0,a3)*delta(0,a4)*G(a1,a2,'z1')*zeta3
       - delta(0,a3)*G(a1,a2,a4,'z1')*zeta2
       - delta(0,a3)*G(a1,a4,a2,'z1')*zeta2
       - delta(0,a3)*G(a4,a1,a2,'z1')*zeta2
       + G(a1,a2,a3,a3,a4,'z1')
       + G(a1,a2,a4,a3,a3,'z1')
       - G(a1,a2,a4,a3,a4,'z1')
       - G(a1,a2,a4,0,a3,'z1')
       - G(a1,a3,a2,a2,a4,'z1')
       + G(a1,a3,a2,a3,a4,'z1')
       - G(a1,a3,a4,a2,a2,'z1')
       + G(a1,a3,a4,a2,a4,'z1')
       + G(a1,a3,a4,0,a2,'z1')
       + G(a1,a4,a2,a3,a3,'z1')
       - G(a1,a4,a2,a3,a4,'z1')
       - G(a1,a4,a2,0,a3,'z1')
       - G(a1,a4,a3,a2,a2,'z1')
       + G(a1,a4,a3,a2,a3,'z1')
       + G(a1,a4,a3,0,a2,'z1')
       - G(a1,a4,0,a2,a3,'z1')
       - G(a3,a1,a2,a2,a4,'z1')
       + G(a3,a1,a2,a3,a4,'z1')
       - G(a3,a1,a4,a2,a2,'z1')
       + G(a3,a1,a4,a2,a4,'z1')
       + G(a3,a1,a4,0,a2,'z1')
       + G(a3,a2,a1,a1,a4,'z1')
       - G(a3,a2,a1,a2,a4,'z1')
       + G(a3,a2,a4,a1,a1,'z1')
       - G(a3,a2,a4,a1,a4,'z1')
       - G(a3,a2,a4,0,a1,'z1')
       - G(a3,a4,a1,a2,a2,'z1')
       + G(a3,a4,a1,a2,a4,'z1')
       + G(a3,a4,a1,0,a2,'z1')
       + G(a3,a4,a2,a1,a1,'z1')
       - G(a3,a4,a2,a1,a2,'z1')
       - G(a3,a4,a2,0,a1,'z1')
       + G(a3,a4,0,a1,a2,'z1')
       + G(a4,a1,a2,a3,a3,'z1')
       - G(a4,a1,a2,a3,a4,'z1')
       - G(a4,a1,a2,0,a3,'z1')
       - G(a4,a1,a3,a2,a2,'z1')
       + G(a4,a1,a3,a2,a3,'z1')
       + G(a4,a1,a3,0,a2,'z1')
       - G(a4,a1,0,a2,a3,'z1')
       - G(a4,a3,a1,a2,a2,'z1')
       + G(a4,a3,a1,a2,a3,'z1')
       + G(a4,a3,a1,0,a2,'z1')
       + G(a4,a3,a2,a1,a1,'z1')
       - G(a4,a3,a2,a1,a2,'z1')
       - G(a4,a3,a2,0,a1,'z1')
       + G(a4,a3,0,a1,a2,'z1')
       - G(a4,0,a1,a2,a3,'z1')
      ;

   id G(a1?!{,'z1'},a2?!{,'z1'},'z1',a3?!{,'z1'},a4?!{,'z1'},'z1') =
       - 6*delta(0,a1)*delta(0,a2)*delta(0,a3)*delta(0,a4)*zeta5
       + 3*delta(0,a1)*delta(0,a2)*delta(0,a4)*G(a3,'z1')*zeta4
       - delta(0,a1)*delta(0,a2)*G(a3,a4,'z1')*zeta3
       + 3*delta(0,a1)*delta(0,a3)*delta(0,a4)*G(a2,'z1')*zeta4
       - 2*delta(0,a1)*delta(0,a4)*G(a2,a3,'z1')*zeta3
       - 2*delta(0,a1)*delta(0,a4)*G(a3,a2,'z1')*zeta3
       + delta(0,a1)*G(a2,a3,a4,'z1')*zeta2
       + delta(0,a1)*G(a3,a2,a4,'z1')*zeta2
       + delta(0,a1)*G(a3,a4,a2,'z1')*zeta2
       - 3*delta(0,a2)*delta(0,a3)*delta(0,a4)*G(a1,'z1')*zeta4
       + 2*delta(0,a2)*delta(0,a4)*G(a1,a3,'z1')*zeta3
       + 2*delta(0,a2)*delta(0,a4)*G(a3,a1,'z1')*zeta3
       - delta(0,a2)*G(a1,a3,a4,'z1')*zeta2
       - delta(0,a2)*G(a3,a1,a4,'z1')*zeta2
       - delta(0,a2)*G(a3,a4,a1,'z1')*zeta2
       + G(a1,a2,a2,a3,a4,'z1')
       + G(a1,a3,a2,a2,a4,'z1')
       - G(a1,a3,a2,a3,a4,'z1')
       + G(a1,a3,a4,a2,a2,'z1')
       - G(a1,a3,a4,a2,a4,'z1')
       - G(a1,a3,a4,0,a2,'z1')
       - G(a2,a1,a1,a3,a4,'z1')
       + G(a2,a1,a2,a3,a4,'z1')
       - G(a2,a3,a1,a1,a4,'z1')
       + G(a2,a3,a1,a3,a4,'z1')
       - G(a2,a3,a4,a1,a1,'z1')
       + G(a2,a3,a4,a1,a4,'z1')
       + G(a2,a3,a4,0,a1,'z1')
       + G(a3,a1,a2,a2,a4,'z1')
       - G(a3,a1,a2,a3,a4,'z1')
       + G(a3,a1,a4,a2,a2,'z1')
       - G(a3,a1,a4,a2,a4,'z1')
       - G(a3,a1,a4,0,a2,'z1')
       - G(a3,a2,a1,a1,a4,'z1')
       + G(a3,a2,a1,a2,a4,'z1')
       - G(a3,a2,a4,a1,a1,'z1')
       + G(a3,a2,a4,a1,a4,'z1')
       + G(a3,a2,a4,0,a1,'z1')
       + G(a3,a4,a1,a2,a2,'z1')
       - G(a3,a4,a1,a2,a4,'z1')
       - G(a3,a4,a1,0,a2,'z1')
       - G(a3,a4,a2,a1,a1,'z1')
       + G(a3,a4,a2,a1,a2,'z1')
       + G(a3,a4,a2,0,a1,'z1')
       - G(a3,a4,0,a1,a2,'z1')
      ;

   id G(a1?!{,'z1'},'z1',a2?!{,'z1'},a3?!{,'z1'},a4?!{,'z1'},'z1') =
       + 4*delta(0,a1)*delta(0,a2)*delta(0,a3)*delta(0,a4)*zeta5
       - 3*delta(0,a1)*delta(0,a3)*delta(0,a4)*G(a2,'z1')*zeta4
       + 2*delta(0,a1)*delta(0,a4)*G(a2,a3,'z1')*zeta3
       - delta(0,a1)*G(a2,a3,a4,'z1')*zeta2
       + G(a1,a1,a2,a3,a4,'z1')
       + G(a2,a1,a1,a3,a4,'z1')
       - G(a2,a1,a2,a3,a4,'z1')
       + G(a2,a3,a1,a1,a4,'z1')
       - G(a2,a3,a1,a3,a4,'z1')
       + G(a2,a3,a4,a1,a1,'z1')
       - G(a2,a3,a4,a1,a4,'z1')
       - G(a2,a3,a4,0,a1,'z1')
      ;

 id delta(0,0) = 1;
 id once delta(0,1) = 0;
.sort:len6;

